:begin
@echo off

IF   (%JAVA_HOME%)   ==   ()       goto  null_java_home
IF   NOT EXIST     %JAVA_HOME%\bin\java.exe   goto bad_java_home
IF   NOT EXIST     %JAVA_HOME%\lib\classes.zip  goto bad_java_lib_home

IF   (%1)     ==   ()   goto interact
IF    %1    ==   -h     goto syntax
IF    %1    ==   -help    goto syntax
goto silent

:interact
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
java -classpath ".\fixpack.jar;.\install.jar;%JAVA_HOME%\lib\classes.zip;%classpath%"   Fixpack -uninstall 
goto end

:silent
IF NOT EXIST  .\fixpack.jar goto bad_pwd
IF NOT EXIST  .\install.jar   goto bad_pwd
REM %1 has already been checked to be non null
IF (%2) == () goto syntax
IF NOT EXIST %2 goto bad_root
java -classpath  ".\fixpack.jar;.\install.jar;%JAVA_HOME%\lib\classes.zip;%classpath%"  Fixpack -uninstall  %1  -b  %2
goto end

:null_java_home
echo.
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_java_home
echo.
echo Can not locate %JAVA_HOME%\bin\java
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

:bad_java_lib_home
echo.
echo Can not locate %JAVA_HOME%\lib\classes.zip
echo Please set environment variable JAVA_HOME and rerun this script.
echo.
goto end

REM :bad_zip
REM echo Incorect path to Data.zip:  %2
REM goto end

:bad_root
echo.
echo No such directory:  %2
echo.
goto end

:bad_pwd
echo.
echo Can not locate all the files: fixpack.jar, and install.jar.
echo Please ensure you are in the download directory before starting install.
echo.
goto end

:syntax
echo.
echo For interactiveun install:   uninstall.bat 
echo For silent  uninstall:   uninstall.bat    {BASE | LAST_PTF}   was_root_absolute_path  
echo.
goto end

:end
REM END

